#include "SctApiGeneral_Test.h"
#include "../SctApiFwd.h"
#include "../utility.h"
#include <boost/test/unit_test.hpp>

#include "primParams.h"

using boost::unit_test_framework::test_suite;

namespace SctApi {
  namespace Tests {
    void testConfigs() {
      BOOST_CHECK_EQUAL(::SctApi::Utility::translateConfigType(SCTAPI_CONFIG_BASIC), MODULE_BASIC);
      BOOST_CHECK_EQUAL(::SctApi::Utility::translateConfigType(SCTAPI_CONFIG_TRIM),  MODULE_TRIM);
      BOOST_CHECK_EQUAL(::SctApi::Utility::translateConfigType(SCTAPI_CONFIG_ALL),  MODULE_ALL);
    }

    SctApiGeneral_Test::SctApiGeneral_Test() {
      add(BOOST_TEST_CASE(&testConfigs));
    }	
  }
}
