{
// Do a noise scan with dual triggers
TScanDef dual;

dual.trigsPerBurst = 500;
dual.configure(1, 0, 200, 5);      // Scan V threshold
dual.configure2(0, 0, 200, 5);     // Don't scan

dual.trigSequence.singleL1A();
dual.trigSequence2.delayedL1A(10);

// dual.full = 0;
dual.bits32 = 1;
// dual.loopCalLine = 0;
dual.distSlave = 1;
dual.debug = 0;
// nmask.tim = 0;

tapi.modifyABCDVar(11, 1.0);
tapi.modifyABCDVar(13, 0.0);
tapi.modifyABCDVar(14, 0.0);

// This sets both module sets, but one set will get changed during the scan
tapi.modifyABCDVar(41, 0.8);  // QTHR Set to 0.8fC

tapi.doScan(dual);
tapi.awaitScan();
}
