
#ifndef SCT_IDIOSYNCRASYSERVER_H
#define SCT_IDIOSYNCRASYSERVER_H

/// implements CORBA servant for SctApi/Idiosyncrasy.h

//fwd dec
namespace SctApi {
  class IdiosyncrasyServer;
};

//includes
#include "Sct_SctApi/SctApi.hh"
#include "SctApi/Idiosyncrasy.h"

//dec
namespace SctApi {

  class IdiosyncrasyServer :
    public POA_Sct_SctApi::Idiosyncrasy {
    
  private:
    IdiosyncrasyServer(); // deliberately not implemented
    IdiosyncrasyServer(const ::SctApi::IdiosyncrasyServer &); // deliberately not implemented
  public:
    IdiosyncrasyServer(const ::SctApi::Idiosyncrasy & id);
    virtual Sct::Corba::UCID ucid();
    virtual char* uniqueName();
    virtual char* infoServiceNameOfScanStatusObject();
    virtual char* ipcNameOfSctApiCrateServer();
  private:
    const ::SctApi::Idiosyncrasy m_id;
  };
};

#endif
