#!/bin/csh
echo Entering $0
echo 'Restarting is_servers ...'
echo '    ... killing old is_servers ... '

ipc_ls | grep initial >& /dev/null || ( ipc_server & ; echo 'started initial ipc_server'; sleep 1 ) 
ipc_ls -p SCT | grep SCT >& /dev/null || ( ipc_server -p SCT & ; echo 'started ipc_server -p SCT' ; sleep 1)

set list = 'EventData FittedData TestData ControlData RetrievedData ServiceStatus'

foreach server ( $list ) 
   set pid = `ipc_ls -p SCT -l | awk -v s=${server} '{if ($1==s) print $3}' `
   echo -n killing server $server
   if ( { test -z $pid } ) then
     echo ' not running'
   else
     echo ' ... kill -9 '$pid
     kill -9 $pid
   endif
end

sleep 2

foreach server ( $list ) 
   echo starting server $server
   is_server -p SCT -n $server &
end 
