
#ifndef LESTER_LARGETEMPORARYRETURNTYPE_H
#define LESTER_LARGETEMPORARYRETURNTYPE_H

#include "Options.h"

#include "Rabbit.hh"

#include <ipc/object.h>

#include <iostream>

class LargeTemporaryReturnType : 
  public IPCObject<POA_Stew::TemporaryReturnType, ipc::multi_thread> // for IPCObjectBase::_destroy()
{

public:
  LargeTemporaryReturnType() {
    std::cout << "Constructing a LargeTemporaryReturnType ... " << std::endl;
  };

 public:
  ~LargeTemporaryReturnType() {
    std::cout << "~LargeTemporaryReturnType()" << std::endl;
  };

  void deleteServant() {
    std::cout << "LargeTemporaryReturnType::shutdown" << std::endl;
    this->_destroy(); // a method of the base class 
    // which says delete us when all current CORBA
    // methods have finished running
  };

};

#endif 
