{
// Double trigger for each module
// configuration changes as nmask
TScanDef dble;

dble.trigsPerBurst = 500;
dble.configure(0, 110, 140, 1);

// dble.trigSequence.singleL1A();
dble.trigSequence.doubleL1A(130);
pipe.trigSequence.incCmd = 1;
pipe.trigSequence.incData = 1;

// dble.full = 0;
dble.bits32 = 1;
// dble.loopCalLine = 0;

// To one slave only
dble.distSlave = 0;
// dble.debug = 1;
// dble.tim = 0;
dble.nth = 2;
// dble.nth_rem = 0;  // Capture the first trigger
dble.nth_rem = 1;  // Capture the second trigger

// tapi.setDebugOption("scan_error_trap_all");
// tapi.setDebugOption("scan_step_mode");

tapi.modifyABCDVar(9, 0.0);  // Don't mask anything!
tapi.modifyABCDVar(11, 1.0);
tapi.modifyABCDVar(13, 0.0);
tapi.modifyABCDVar(14, 0.0);

tapi.modifyABCDVar(41, 1.0);  // QTHR Set to 1fC

tapi.doScan(dble);
tapi.awaitScan();
}
