#include "sctConf/configXMLImpl.h"

class ConfigArchiveServer
: public IPCNamedObject<POA_sctConf::ConfigurationArchive, ipc::single_thread>
{
 public:
  
  ConfigArchiveServer(IPCPartition& p, const char* name);
  virtual ~ConfigArchiveServer();		// destructor
  
  // methods
  virtual sctConf::Configuration_ptr getOldRunConfiguration (CORBA::ULong runNumber, CORBA::Boolean start);
  virtual sctConf::RunNumberList* listConfigurationRuns ();
  virtual void shutdown();
};
