package SummaryReader;

public class DefectInfo {

   String name;
   String first_chan;
   String last_chan;
   java.util.Set badChannelSet;

   public DefectInfo() {
      badChannelSet = new java.util.HashSet();
      }

   public void setName(String name) {
      this.name=name;
      }
   public void setFirstChannel(String first_chan) {
       this.first_chan=first_chan;
      }
   public void setLastChannel(String last_chan) {
       this.last_chan=last_chan;
       try {
         int i1 = Integer.parseInt(first_chan);
	 int i2 = Integer.parseInt(last_chan);
	 for(int i=i1;i<=i2;i++) badChannelSet.add(new Integer(i));
        }catch(Exception e){}
      }
   public String getName() {
       if(name==null) return "Unknown";
       else return name;
      }
   public String getFirstChannel() {
       if(first_chan==null) return "-1";
        else return first_chan;
      }
   public String getLastChannel() {
       if(last_chan==null) return "-1";
       else return last_chan;
      }
   public int getNoDefects() {
       if(first_chan==null || last_chan==null) return -1;
       int i1=-1, i2=-1;
       try {
         i1 = Integer.parseInt(first_chan);
         i2 = Integer.parseInt(last_chan);
       }catch(Exception e){System.err.println("Non-integer channel numbers in DefectInfo"); return -1;}
       return (i2-i1+1);
       }
   public java.util.Set getBadChannelSet() {
      return badChannelSet;
      }
   public String getDefectKey() {
      String key = name+"-";
      if(first_chan.equals(last_chan)) return key+first_chan;
      return key+first_chan+"-"+last_chan;
      }


}
