package webscripts;
//
import java.io.*;
import java.util.*;

public class getAssemblyMaps {

	public static void main(String[] args) {
	
	   if(args.length==0) {
	      System.err.println("Requires target directory as first argument.");
	      System.exit(0);
	      }
	   String targetDir = args[0];


           try {
	       for(int i=0;i<4;i++) { // the 4 barrels only
                  Vector list = generalScripts.getPositionMap(i);
		  if(list.size()==0) continue;
		  File oFile = new File(targetDir,"moduleMounts"+Integer.toString(i)+".txt");
		  BufferedWriter out = new BufferedWriter(new FileWriter(oFile));
		  for (int j=0;j<list.size();j++) {
		    out.write((String)list.elementAt(j));
		    out.newLine();
		    }
		  out.close();
	          }
	   System.out.println("Completed.");

           }catch(Exception e){System.err.println(e.toString());}

          }
}

